Bug 432404 - Xorg intel/i810 does not work properly with 82G33/G31 graphics chipset
Xorg intel/i810 does not work properly with 82G33/G31 graphics chipset
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.1
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 15:09 EST by Jos Vos
Modified: 2008-02-14 09:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2008-02-11 15:09:27 EST
Description of problem:

The Xorg "intel" driver does not work with the 82G33/G31 graphics chipset (it
doesn't recognize it).  On Fedora 8, the "intel" driver works ok, at the correct
resolution.

The "i810" driver does work, but it doesn't seem to handle 1680x1050 resolution
(the natural resolution of the attached widescreen monitor).  It sticks to
1600x1200, but stretches that resolution on a larger virtual screen.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.6.el5
Comment 1 Adam Jackson 2008-02-13 15:58:36 EST
There is an intel driver rebase coming in 5.2.
Comment 2 Jos Vos 2008-02-14 09:02:59 EST
Is there a possibility to get an (unsupported) preliminary version of that
xorg-x11-drv-i810 before RHEL 5.2, or does that driver also require new versions
of core xorg packages?  I'm happy to test it on this HW... :-)

Note You need to log in before you can comment on or make changes to this bug.